Validation Services
Tax Code Verification
Compare a tax code against a person's identifying data, including name, gender, date of birth, and birthplace.
Headers & authentication
Required request headers and their expected values.
| Field | Type | Description |
|---|---|---|
tokenreq | String | Authentication token sent in the |
Request
Country context, `taxfnx` function `1`, personal identity data, and tax code to compare.
| Field | Type | Description |
|---|---|---|
parreq | Object | Country context and tax-code match function. |
iso2 | String | Country code, ISO 3166-1 alpha-2. One of |
iso3 | String | Country code, ISO 3166-1 alpha-3. One of |
taxfnxreq | String | Tax-code configuration function.
Default value: |
datareq | Object | Input data to validate |
namereq | Object | Personal identity data to compare against tax code |
full_namereq | String | Surname |
first_namereq | String | First name |
genderreq | String | Gender ( |
birth_datereq | String | Date of birth in |
birth_placereq | String | Birth city description |
tax_codereq | Object | Italian tax code to match |
cod_iso3 | String | Country code (ISO 3166-1 alpha-3) |
cod_type | String | Code type |
cod_descriptionreq | String | Italian tax code to match |
Response
Normalized personal data, tax code, comparison quality results for identity, birth date, birthplace, and system status.
| Field | Type | Description |
|---|---|---|
data | Object | Normalized and enriched validation output data |
name | Object | Validated identity data and matching outcome |
type_ana | String | Person/customer type |
gender | String | Normalized gender |
full_name | String | Normalized full name |
last_name | String | Normalized surname |
first_name | String | Normalized first name |
birth_date | String | Date of birth in |
birth_province | String | Birth province code |
birth_place | String | Normalized birthplace |
tax_code | Object | Matched tax code details |
cod_description | String | Italian tax code result |
quality | Object | Validation quality indicators and score flags |
tax_code | Object | Quality indicator result (see https://documentation.egon.com/docs/quality-indicators) |
flag | String | Quality flag |
code | Number | Quality result code |
description | String | Quality result description |
name | Object | Quality indicators for personal name parsing and demographic verification |
person | Object | Quality indicator result (see https://documentation.egon.com/docs/quality-indicators) |
flag | String | Quality flag |
code | Number | Quality result code |
description | String | Quality result description |
birth_date | Object | Quality indicator result (see https://documentation.egon.com/docs/quality-indicators) |
flag | String | Quality flag |
code | Number | Quality result code |
description | String | Quality result description |
birth_place | Object | Quality indicator result (see https://documentation.egon.com/docs/quality-indicators) |
flag | String | Quality flag |
code | Number | Quality result code |
description | String | Quality result description |
system | Object | Request processing status. |
ret_code | Number | Processing result code. 0 means no blocking error. |
des_ret_code | String | Human-readable processing result. |
curl -X POST "https://{host}:{port}/Egon/api/norm" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA",
"taxfnx": "1"
},
"data": {
"name": {
"full_name": "Rossi",
"first_name": "Mario",
"gender": "1",
"birth_date": "19930219",
"birth_place": "Verona"
},
"tax_code": {
"cod_iso3": "ITA",
"cod_type": "01110",
"cod_description": "RSSMRA93B19L781K"
}
}
}'